Bug 200715 - Only one @PostConstruct permitted in an EJB
Only one @PostConstruct permitted in an EJB
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: EJB
7.0.1
All Other
: P3 (vote)
: 7.2
Assigned To: Martin Fousek
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-06 00:10 UTC by arungupta
Modified: 2012-04-14 09:43 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description arungupta 2011-08-06 00:10:04 UTC
@javax.annotation.PostConstruct javadoc at:

http://download.oracle.com/javaee/6/api/javax/annotation/PostConstruct.html

says

Only one method can be annotated with this annotation. 

In that case, the following code:

-- cut here --
@Singleton
public class NewSessionBean {

    @PostConstruct
    void startup2() {
        
    }
    
    @PostConstruct
    void startup() throws SQLException {
-- cut here --

should show tag an error.
Comment 1 Martin Fousek 2011-10-06 09:30:22 UTC
Thanks a lot for reporting that, it's really good idea for new hint in the EJB area.

However I set the target milestone to Next since it will not be probably enough of time for doing that still for this release.
Comment 2 Martin Fousek 2012-04-13 12:22:16 UTC
Done in web-main #acb87914f0bb.
Comment 3 Quality Engineering 2012-04-14 09:43:50 UTC
Integrated into 'main-golden', will be available in build *201204140400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/acb87914f0bb
User: Martin Fousek <marfous@netbeans.org>
Log: #200715 - Only one @PostConstruct permitted in an EJB + #200716


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo